Error in deployment from development to Production

Error in deployment from development to Production

  

I have created an application using Employee application template. This application has dependency on several modules including silk UI and silk UI customizer.

Now I am trying to validate application for Production. It gave me error that it is not compatible and result will be broken references. I have tried with different version of silk ui customizer but error is same. Facing this issue with some other plugins also. Please suggest, screen shot attached.


 

Hi,

Hi Did your production server get updated recently?

From time to time, Outsystems will either upgrade our development/test/production environment or the Lifetime environment. When this happens we will need to publish the plugins we have used. Most of the times, the plugins that are related to the basic system (i.e. it comes from Outsystems) will be automatically published after the environment upgrade. The other third-party plugins need to be updated manually by us.

Regards,

Pankaj Pant

Pankaj pant wrote:

Hi,

Hi Did your production server get updated recently?

From time to time, Outsystems will either upgrade our development/test/production environment or the Lifetime environment. When this happens we will need to publish the plugins we have used. Most of the times, the plugins that are related to the basic system (i.e. it comes from Outsystems) will be automatically published after the environment upgrade. The other third-party plugins need to be updated manually by us.

Regards,

Pankaj Pant

Hi Pankaj,

Means I need to check that all plugins are updated or not?


Yes,

You can check this using the lifetime environment. You will see a warning message near the version number.


Regards,

Pankaj Pant

Pankaj pant wrote:

Yes,

You can check this using the lifetime environment. You will see a warning message near the version number.


Regards,

Pankaj Pant

Can you help to find out where I can check that warning in lifetime. In lifetime under applications am not able to see any warning in front of any application. Please indicate where I can see warning message.


vikas sharma wrote:

Pankaj pant wrote:

Yes,

You can check this using the lifetime environment. You will see a warning message near the version number.


Regards,

Pankaj Pant

Can you help to find out where I can check that warning in lifetime. In lifetime under applications am not able to see any warning in front of any application. Please indicate where I can see warning message.


By looking at your lifetime screenshot, there is no error or warning related to upgrading.

usually, it shows just after the version. I don't think it an upgrade issue.


Regards,

Pankaj Pant




Hi

Its like missing module or static entity in production, can you verify if mobile patterns module with animation type static entity have same version in dev and production from silk ui mobile.


 Thanks 

Balu

Seems to me you don't have published anything yet in production. The error says you have to deploy 'Silk UI Mobile'. That application is just above the 'Silk UI Mobile Customizer' and has a error to. What is the error that application gives on deploy?

Solution

Hi vikas sharma,

That error tells you that in order for your application (in this case Silk UI Mobile Customizer Preview) to work properly in Production, you will need to also to deploy other applications it depends on (in this case Silk UI Mobile) that either are not on the Production environment or are a different version.

Try checking what Show Details, I seem to remember LifeTime would provide links to jump to those applications and quickly add them to the deployment plan. In any case, just marking the Silk UI Mobile application to also be deployed to production would solve this issue.

Solution

Jorge Martins wrote:

Hi vikas sharma,

That error tells you that in order for your application (in this case Silk UI Mobile Customizer Preview) to work properly in Production, you will need to also to deploy other applications it depends on (in this case Silk UI Mobile) that either are not on the Production environment or are a different version.

Try checking what Show Details, I seem to remember LifeTime would provide links to jump to those applications and quickly add them to the deployment plan. In any case, just marking the Silk UI Mobile application to also be deployed to production would solve this issue.

Thanks Jorge, You are right. Its issue of dependency.